# HTTP configuration #######
upstream rails_app2 {
     server unix:///{{ puma_path }}/sockets/puma.sock fail_timeout=0;
     }
	 
server {
    listen 80;
    server_name {{ dev_server_name }};

    # Path to public root
    root {{ code_path }}/public;
    try_files $uri/index.html $uri @rails_app2;

location @rails_app2 {
    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_set_header Host $http_host;
    proxy_redirect off;
    proxy_pass http://rails_app2;
    }

    error_page 500 504 /500.html;
    error_page 502 /502.html;
    error_page 503 /503.html;

    client_max_body_size 4G;
    keepalive_timeout 10;
    include /etc/nginx/conf.d/server/assets.conf;
    # Include log configuration
    include /etc/nginx/conf.d/server/log-private.conf;

  location @app {
      proxy_set_header X-Real-IP $remote_addr;
      proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
      proxy_set_header X-FORWARDED_PROTO http;
      proxy_set_header Host $http_host;
      proxy_read_timeout 300;
      proxy_redirect off;
      proxy_pass http://rails_app2;
      }
                                             
  location ~ /rails/active_storage/* {
      root /var/www/sites/code;
      try_files $uri @app;
      }
            
  location ~ /(.*)/cable {
      proxy_pass http://rails_app2;
      proxy_http_version 1.1;
      proxy_set_header Upgrade "websocket";
      proxy_set_header Connection "Upgrade";
      }
}
